
/**
 * 业务相关工具函数
 */
export const setLastPosition=(dom)=>{
    dom.focus();
    if (window.getSelection && document.createRange) {
        const range = document.createRange();
        range.selectNodeContents(dom);
        range.collapse(false);
        const sel = window.getSelection();
        sel.removeAllRanges();
        sel.addRange(range);
    } else if (document.body.createTextRange) {
        const textRange = document.body.createTextRange();
        textRange.moveToElementText(dom);
        textRange.collapse(false);
        textRange.select();
    }
};
// export const setLastPosition=(obj)=> {
//     if (window.getSelection) {//ie11 10 9 ff safari
//         obj.focus(); //解决ff不获取焦点无法定位问题
//         var range = window.getSelection();//创建range
//         range.selectAllChildren(obj);//range 选择obj下所有子内容
//         range.collapseToEnd();//光标移至最后
//     }
//     else if (document.selection) {//ie10 9 8 7 6 5
//         var range = document.selection.createRange();//创建选择对象
//         //var range = document.body.createTextRange();
//         range.moveToElementText(obj);//range定位到obj
//         range.collapse(false);//光标移至最后
//         range.select();
//     }
// }

